﻿// ------------------------------------------------------------------------------
//  <auto-generated>
//      This code was generated by SpecFlow (http://www.specflow.org/).
//      SpecFlow Version:1.9.0.77
//      SpecFlow Generator Version:1.9.0.0
//      Runtime Version:4.0.30319.18444
// 
//      Changes to this file may cause incorrect behavior and will be lost if
//      the code is regenerated.
//  </auto-generated>
// ------------------------------------------------------------------------------
#region Designer generated code
#pragma warning disable
namespace WSS.AAT.Scenarios.PosIntegration
{
    using TechTalk.SpecFlow;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("TechTalk.SpecFlow", "1.9.0.77")]
    [System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [NUnit.Framework.TestFixtureAttribute()]
    [NUnit.Framework.DescriptionAttribute("RestrictedItems")]
    [NUnit.Framework.CategoryAttribute("PosIntegration")]
    public partial class RestrictedItemsFeature
    {
        
        private static TechTalk.SpecFlow.ITestRunner testRunner;
        
#line 1 "RestrictedItems.feature"
#line hidden
        
        [NUnit.Framework.TestFixtureSetUpAttribute()]
        public virtual void FeatureSetup()
        {
            testRunner = TechTalk.SpecFlow.TestRunnerManager.GetTestRunner();
            TechTalk.SpecFlow.FeatureInfo featureInfo = new TechTalk.SpecFlow.FeatureInfo(new System.Globalization.CultureInfo("en-US"), "RestrictedItems", "", ProgrammingLanguage.CSharp, new string[] {
                        "PosIntegration"});
            testRunner.OnFeatureStart(featureInfo);
        }
        
        [NUnit.Framework.TestFixtureTearDownAttribute()]
        public virtual void FeatureTearDown()
        {
            testRunner.OnFeatureEnd();
            testRunner = null;
        }
        
        [NUnit.Framework.SetUpAttribute()]
        public virtual void TestInitialize()
        {
        }
        
        [NUnit.Framework.TearDownAttribute()]
        public virtual void ScenarioTearDown()
        {
            testRunner.OnScenarioEnd();
        }
        
        public virtual void ScenarioSetup(TechTalk.SpecFlow.ScenarioInfo scenarioInfo)
        {
            testRunner.OnScenarioStart(scenarioInfo);
        }
        
        public virtual void ScenarioCleanup()
        {
            testRunner.CollectScenarioErrors();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about an Age Check Restricted Item with Accepted Comple" +
            "tely Accept Type")]
        public virtual void SaleIncludesInformationAboutAnAgeCheckRestrictedItemWithAcceptedCompletelyAcceptType()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about an Age Check Restricted Item with Accepted Comple" +
                    "tely Accept Type", ((string[])(null)));
#line 4
this.ScenarioSetup(scenarioInfo);
#line 5
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 6
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 7
    testRunner.And("There was Accepted Completely Restricted Item with SKU 500300 and Restriction Typ" +
                    "e \'Age Check\' and Authorizer Number \'033\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 8
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 9
    testRunner.Then("There is a new sale in BO db marked as with Supervisor Used", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 10
    testRunner.And("Supervisor Number of line for SKU 500300 is equal to \'033\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 11
    testRunner.And("There is no lines in Rejected Items file", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about an Age Check Restricted Item with Accepted With C" +
            "onfirmation Accept Type")]
        public virtual void SaleIncludesInformationAboutAnAgeCheckRestrictedItemWithAcceptedWithConfirmationAcceptType()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about an Age Check Restricted Item with Accepted With C" +
                    "onfirmation Accept Type", ((string[])(null)));
#line 13
this.ScenarioSetup(scenarioInfo);
#line 14
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 15
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 16
    testRunner.And("There was Accepted with Confirmation Restricted Item with SKU 500300 and Restrict" +
                    "ion Type \'Age Check\' and Authorizer Number \'033\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 17
    testRunner.And("Restricted Item with SKU 500300 had Confirmation Text \'Photographic Driving Licen" +
                    "ce\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 18
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 19
    testRunner.Then("There is a new sale in BO db marked as with Supervisor Used", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 20
    testRunner.And("Supervisor Number of line for SKU 500300 is equal to \'033\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 21
    testRunner.And("There is a line in Rejected Items file for SKU 500300 with Authorizer Number \'033" +
                    "\' and Confirmation Text \'Photographic Driving Licence\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about an Age Check Restricted Item with Rejected Comple" +
            "tely Accept Type")]
        public virtual void SaleIncludesInformationAboutAnAgeCheckRestrictedItemWithRejectedCompletelyAcceptType()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about an Age Check Restricted Item with Rejected Comple" +
                    "tely Accept Type", ((string[])(null)));
#line 23
this.ScenarioSetup(scenarioInfo);
#line 24
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 25
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 26
    testRunner.And("There was Rejected Completely Restricted Item with SKU 100006 and Restriction Typ" +
                    "e \'Age Check\' and Authorizer Number \'033\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 27
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 28
    testRunner.Then("There is a new sale in BO db marked as with Supervisor Used", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 29
    testRunner.And("There is a line in Rejected Items file for SKU 100006 with Authorizer Number \'033" +
                    "\' and Confirmation Text \'Item cannot be sold to Customer.Failed Solvent Age Requ" +
                    "irement.\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about an Age Check Restricted Item with Rejected not Co" +
            "nfirmed Accept Type")]
        public virtual void SaleIncludesInformationAboutAnAgeCheckRestrictedItemWithRejectedNotConfirmedAcceptType()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about an Age Check Restricted Item with Rejected not Co" +
                    "nfirmed Accept Type", ((string[])(null)));
#line 31
this.ScenarioSetup(scenarioInfo);
#line 32
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 33
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 34
    testRunner.And("There was Rejected not Confirmed Restricted Item with SKU 100006 and Restriction " +
                    "Type \'Age Check\' and Authorizer Number \'033\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 35
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 36
    testRunner.Then("There is a new sale in BO db marked as with Supervisor Used", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 37
    testRunner.And("There is a line in Rejected Items file for SKU 100006 with Authorizer Number \'033" +
                    "\' and Confirmation Text \'Item cannot be sold to Customer.Failed to provide Proof" +
                    " of Age.\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Voided sale includes information only about an Age Check Rejected Restricted Item" +
            "")]
        public virtual void VoidedSaleIncludesInformationOnlyAboutAnAgeCheckRejectedRestrictedItem()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Voided sale includes information only about an Age Check Rejected Restricted Item" +
                    "", ((string[])(null)));
#line 39
this.ScenarioSetup(scenarioInfo);
#line 40
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 41
    testRunner.And("There was Rejected Completely Restricted Item with SKU 100006 and Restriction Typ" +
                    "e \'Age Check\' and Authorizer Number \'033\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 42
    testRunner.And("Transaction was voided", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 43
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 44
    testRunner.Then("There is a new sale in BO db marked as with Supervisor Used", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 45
    testRunner.And("There is a line in Rejected Items file for SKU 100006 with Authorizer Number \'033" +
                    "\' and Confirmation Text \'Item cannot be sold to Customer.Failed Solvent Age Requ" +
                    "irement.\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about a Quarantine Restricted Item with Accepted Comple" +
            "tely Accept Type")]
        public virtual void SaleIncludesInformationAboutAQuarantineRestrictedItemWithAcceptedCompletelyAcceptType()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about a Quarantine Restricted Item with Accepted Comple" +
                    "tely Accept Type", ((string[])(null)));
#line 47
this.ScenarioSetup(scenarioInfo);
#line 48
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 49
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 50
    testRunner.And("There was Accepted Completely Restricted Item with SKU 500300 and Restriction Typ" +
                    "e \'Quarantine\' and Authorizer Number \'033\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 51
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 52
    testRunner.Then("There is no lines in Rejected Items file", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 53
    testRunner.And("There is a new sale in BO db marked as with Supervisor Used", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 54
    testRunner.And("Quarantine Supervisor Number of line for SKU 500300 is equal to \'033\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about an Explosives Poisons Restricted Item with Accept" +
            "ed Completely Accept Type")]
        public virtual void SaleIncludesInformationAboutAnExplosivesPoisonsRestrictedItemWithAcceptedCompletelyAcceptType()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about an Explosives Poisons Restricted Item with Accept" +
                    "ed Completely Accept Type", ((string[])(null)));
#line 56
this.ScenarioSetup(scenarioInfo);
#line 57
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 58
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 59
    testRunner.And("There was Accepted Completely Restricted Item with SKU 500300 and Restriction Typ" +
                    "e \'Explosives Poisons\' and Authorizer Number \'033\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 60
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 61
    testRunner.Then("There is no lines in Rejected Items file", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 62
    testRunner.And("There is a new sale in BO db marked as with Supervisor Used", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 63
    testRunner.And("Supervisor Number of line for SKU 500300 is equal to \'033\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 64
    testRunner.And("A line for SKU 500300 is marked as Explosive", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about several Explosives Poisons Restricted Items with " +
            "Accepted Completely Accept Type")]
        public virtual void SaleIncludesInformationAboutSeveralExplosivesPoisonsRestrictedItemsWithAcceptedCompletelyAcceptType()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about several Explosives Poisons Restricted Items with " +
                    "Accepted Completely Accept Type", ((string[])(null)));
#line 66
this.ScenarioSetup(scenarioInfo);
#line 67
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 68
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 69
    testRunner.And("1 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 70
    testRunner.And("2 SKU 100006 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 71
    testRunner.And("There was Accepted Completely Restricted Item with SKU 500300 and Restriction Typ" +
                    "e \'Explosives Poisons\' and Authorizer Number \'033\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 72
    testRunner.And("There was Accepted Completely Restricted Item with SKU 100006 and Restriction Typ" +
                    "e \'Explosives Poisons\' and Authorizer Number \'033\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 73
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 74
    testRunner.Then("There is no lines in Rejected Items file", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 75
    testRunner.And("There is a new sale in BO db marked as with Supervisor Used", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 76
    testRunner.And("Supervisor Number of line for SKU 500300 is equal to \'033\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 77
    testRunner.And("Supervisor Number of line for SKU 100006 is equal to \'033\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 78
    testRunner.And("Lines for SKU 500300 are marked as Explosive", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 79
    testRunner.And("A line for SKU 100006 is marked as Explosive", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about an Explosives Poisons Restricted Item with Accept" +
            "ed Completely Accept Type and a Price Override")]
        public virtual void SaleIncludesInformationAboutAnExplosivesPoisonsRestrictedItemWithAcceptedCompletelyAcceptTypeAndAPriceOverride()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about an Explosives Poisons Restricted Item with Accept" +
                    "ed Completely Accept Type and a Price Override", ((string[])(null)));
#line 81
this.ScenarioSetup(scenarioInfo);
#line 82
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 83
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 84
    testRunner.And("Price for SKU 500300 was overriden by 30 pounds by Supervisor \'055\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 85
    testRunner.And("There was Accepted Completely Restricted Item with SKU 500300 and Restriction Typ" +
                    "e \'Explosives Poisons\' and Authorizer Number \'033\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 86
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 87
    testRunner.Then("There is no lines in Rejected Items file", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 88
    testRunner.And("There is a new sale in BO db marked as with Supervisor Used", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 89
    testRunner.And("Supervisor Number of line for SKU 500300 is equal to \'033\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 90
    testRunner.And("A line for SKU 500300 is marked as Explosive", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about an Explosives Poisons Restricted Item with Accept" +
            "ed Completely Accept Type and Empty Supervisor and a Price Override")]
        public virtual void SaleIncludesInformationAboutAnExplosivesPoisonsRestrictedItemWithAcceptedCompletelyAcceptTypeAndEmptySupervisorAndAPriceOverride()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about an Explosives Poisons Restricted Item with Accept" +
                    "ed Completely Accept Type and Empty Supervisor and a Price Override", ((string[])(null)));
#line 92
this.ScenarioSetup(scenarioInfo);
#line 93
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 94
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 95
    testRunner.And("Price for SKU 500300 was overriden by 30 pounds by Supervisor \'055\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 96
    testRunner.And("There was not Supervisor authorized Accepted Completely Restricted Item with SKU " +
                    "500300 and Restriction Type \'Explosives Poisons\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 97
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 98
    testRunner.Then("There is no lines in Rejected Items file", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 99
    testRunner.And("Supervisor Number of line for SKU 500300 is equal to \'055\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 100
    testRunner.And("A line for SKU 500300 is marked as Explosive", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Sale includes information about several Age Check Restricted Items with Accepted " +
            "With Confirmation Accept Type")]
        public virtual void SaleIncludesInformationAboutSeveralAgeCheckRestrictedItemsWithAcceptedWithConfirmationAcceptType()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Sale includes information about several Age Check Restricted Items with Accepted " +
                    "With Confirmation Accept Type", ((string[])(null)));
#line 102
this.ScenarioSetup(scenarioInfo);
#line 103
    testRunner.Given("Sale happened", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 104
    testRunner.And("5 SKU 500300 sold", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 105
    testRunner.And("There was Accepted with Confirmation Restricted Item with SKU 500300 and Restrict" +
                    "ion Type \'Age Check\' and Authorizer Number \'033\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 106
    testRunner.And("Restricted Item with SKU 500300 had Confirmation Text \'Photographic Driving Licen" +
                    "ce\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 107
    testRunner.And("There was Rejected Completely Restricted Item with SKU 100006 and Restriction Typ" +
                    "e \'Age Check\' and Authorizer Number \'033\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 108
    testRunner.When("BO received the transaction", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 109
    testRunner.Then("There is a new sale in BO db marked as with Supervisor Used", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line 110
    testRunner.And("There is a line in Rejected Items file for SKU 500300 with Sequence Number 1", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 111
    testRunner.And("There is a line in Rejected Items file for SKU 100006 with Sequence Number 2", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line hidden
            this.ScenarioCleanup();
        }
    }
}
#pragma warning restore
#endregion
